AtteanX::Store::Simple(3pm)

NAME
AtteanX::Store::Simple - Simple, unindexed, in-memory RDF store

VERSION
This document describes AtteanX::Store::Simple version 0.030

SYNOPSIS
 use AtteanX::Store::Simple;

DESCRIPTION
AtteanX::Store::Simple provides an in-memory quad-store.

METHODS
Beyond the methods documented below, this class inherits methods from the Attean::API::QuadStore class.

"new ( quads => \@quads )"
    Returns a new memory-backed storage object.

"get_quads ( $subject, $predicate, $object, $graph )"
    Returns a stream object of all statements matching the specified subject, predicate and objects. Any of the arguments may be undef to match any value.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf2/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2020 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.